import jcontrol.ui.vole.Frame;
import jcontrol.ui.vole.menu.MultiImageMenu;

/**
 * <p>This example demonstrates how to use the
 * component MultiImageMenu within the GUI framework
 * JControl/Vole.</p>
 *
 * <p>(C) DOMOLOGIC Home Automation GmbH 2003-2005</p>
 */
public class VoleMultiImageMenuExample extends Frame {
  
  /**
   * Create and show a BigImageMenu
   */
  public VoleMultiImageMenuExample() {

    // create a big BigImageMenu
    MultiImageMenu menu = new MultiImageMenu(0, 10, 128, 38, 6);
    
    // add some menu items
    menu.addMenuItem("menuimage1.jcif");
    menu.addMenuItem("menuimage2.jcif");
    menu.addMenuItem("menuimage3.jcif");
    menu.addMenuItem("menuimage4.jcif");
    menu.addMenuItem("menuimage5.jcif");
    menu.addMenuItem("menuimage6.jcif");
    menu.addMenuItem("menuimage7.jcif");
    menu.addMenuItem("menuimage8.jcif");
    menu.addMenuItem("menuimage9.jcif");
    
    // show the menu
    setMenu(menu);
    show();
  }

  /**
   * Instantiate the VoleBigImageMenuExample
   */
  public static void main(String[] args) {
    new VoleMultiImageMenuExample();
  }
}
